Page MenuHomePhabricator

Diff of image pages don't have js execute properly even though needed for file history
Closed, ResolvedPublic

Description

Example: https://commons.wikimedia.org/w/index.php?title=File:Highly-Sensitive-Quantitative-Imaging-for-Monitoring-Single-Cancer-Cell-Growth-Kinetics-and-Drug-pone.0089000.s004.ogv&oldid=prev&diff=117375667

View a diff on an image page for an ogv or webm. Go to the file history section. Play button is too far right, and clicking links to video instead of playing it.

Probably some of TMH JS (but not all) is not being loaded properly


Version: unspecified
Severity: normal

Details

Reference
bz61923
Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterAdd module dependencies for files in the file history

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:55 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz61923.
Bawolff created this task.Feb 25 2014, 7:25 PM
Gilles triaged this task as Low priority.Nov 24 2014, 2:52 PM
Gilles added a subscriber: Gilles.
TheDJ added a subscriber: TheDJ.Nov 24 2014, 2:53 PM

https://gerrit.wikimedia.org/r/#/c/172421/ and friends might help with this. I haven't tested yet, but i'll put it on my list.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:11 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:11 PM
TheDJ added a comment.Oct 21 2015, 8:47 PM

It seems that an image page is not copying it's modules into the destination page. An imageoutput is not just parseroutput of course, but also the file, the file history etc...., Categories and File pages are special in that way.... And that is why the player is not loading.

TheDJ added a comment.EditedOct 26 2015, 10:57 AM

Actually, only mw.PopUpMediaTransform seems to be missing. Which is strange, since all of that is added at the same time... Perhaps it's a parser cache issue with old pages ?

Ah no, that's on the 'old version'. The new version (as on beta labs) seems to have none of the modules in this case. Probably because the main file is missing, and the history table is calling transform directly.

TheDJ raised the priority of this task from Low to High.Oct 26 2015, 11:22 AM

Seems this has actually become worse now that T74675 was closed.

TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.Oct 26 2015, 1:17 PM

Change 248998 had a related patch set uploaded (by TheDJ):
Add module dependencies for files in the file history

https://gerrit.wikimedia.org/r/248998

Change 248998 merged by jenkins-bot:
Add module dependencies for files in the file history

https://gerrit.wikimedia.org/r/248998

TheDJ closed this task as Resolved.Oct 26 2015, 9:54 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.Nov 13 2015, 12:07 PM